
QGIS Application - Bug report #6901

Changing symbols to >1 symbology classes leads QGIS to crash

2012-12-20 04:13 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Arunmozhi P

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 16026

Description

This tickets is a follow up of #3275 and affects QGIS master (tested on Windows for now, will do also on Linux).

add a vector layer (tested polygon for now)

do a categorized symbology

select all classes or part of them (anyway > 1)

hit the "change" button to change the symbol of selected classes

change the symbol to something different

when you will click "ok" qgis will crash

It is certainly a regression because in QGIS 1.8 selecting >1 class and trying change the symbols is not working but it is not crashing

either.

History

#1 - 2012-12-20 04:25 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2012-12-20 12:46 PM - Arunmozhi P

- Pull Request or Patch supplied changed from No to Yes

- File category-fix.diff added

- Resolution set to fixed

Here is the fix.

#3 - 2012-12-21 07:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

Arunmozhi P wrote:

Here is the fix.
thanks!

better doing a pull request on github.

#4 - 2012-12-21 08:50 AM - Arunmozhi P

Giovanni Manghi wrote:

better doing a pull request on github.

Done. Here-> https://github.com/qgis/Quantum-GIS/pull/365

#5 - 2012-12-26 09:54 PM - Nathan Woodrow

- Status changed from Feedback to Resolved

Fixed in commit:c41988824

#6 - 2012-12-26 11:50 PM - Giovanni Manghi

- Status changed from Resolved to Feedback

I'll test it asap.

#7 - 2012-12-28 01:17 PM - Giovanni Manghi

- Status changed from Feedback to Closed

Files

category-fix.diff 1.67 KB 2012-12-20 Arunmozhi P
https://github.com/qgis/Quantum-GIS/pull/365

